package com.example.data_push.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author hl
 * @Date 2022-10-31  09:33
 * 省平台参数
 */
@Component
@ConfigurationProperties(prefix = "zyb")
@Data
public class ZybConfig {
    /**
     * 机构编码
     */
    private String userId;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 机构密码
     */
    private String password;
    /**
     * 私钥
     */
    private String privateKey;
    /**
     * 申报地址
     */
    private String url;
    /**
     * 填报人/报告人
     */
    private String person;
    /**
     * 填报人电话/报告电话
     */
    private String phone;

    private String aa = "2233";
}
