package com.example.data_push.controller;

import com.baomidou.mybatisplus.extension.api.R;
import com.example.data_push.dto.DataDto;
import com.example.data_push.service.PushDataService;
import com.example.data_push.vo.ZybVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @Author: wl
 * @Date: 2023/3/24
 * @Description:
 */
@RestController
@RequestMapping("pushData")
@Api(value = "数据推送调用", tags = {"pushData调用"})
public class PushDataController {

    @Autowired
    private PushDataService pushDataService;



    @ApiOperation(value = "数据推送", response = R.class)
    @PostMapping(value = "/push")
    public R pushData(@Validated DataDto dto){
        return pushDataService.pushData(dto);
    }



}
